#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file sets up the environment correctly for building on the provided 
# platform.
# Note that this file needs to be sourced to have effect!
# ------------------------------------------------------------------------------

# The BASEMOD is the PWD of profile.sh, regardless of the callers location.
export BASEMOD=$(cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd)

# Source helpers for colored prints.
source $BASEMOD/helpers.sh


# Load modules based on platform.
echo ""
if [[ -z "${PLATFORM}" ]]; then
    fatal "No platform selected. Options: [ lumi ]"
elif [ "$PLATFORM" == "lumi" ]; then
    info "Loading modules for Lumi.."
    module load LUMI/23.03 partition/G cpe/23.03 craype-x86-trento \
        craype-accel-amd-gfx90a rocm/5.2.3
else
    fatal "Platform '${PLATFORM}' unknown. Options: [ lumi ]"
fi
